﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.Identity
{
    public class LoginDto
    {
        public string Username { get; set; }
        public string Password { get; set; }
        public string? MsgCode { get; set; }
    }

    public class LoginPageInfoDto
    {
        public List<string> SysName { get; set; }

        /// <summary>
        /// 首页图片
        /// </summary>
        public string? LoginImage { get; set; }

        /// <summary>
        /// 修改密码图片
        /// </summary>
        public string? ChangPwdImage { get; set; }

        /// <summary>
        /// 角标图片
        /// </summary>
        public string? FaviconImage { get; set; }

        /// <summary>
        /// 菜单logo图片
        /// </summary>
        public string? MenuLogoImage{ get; set; }

        /// <summary>
        /// 菜单logo图片mini
        /// </summary>
        public string? MenuLogoImageMini { get; set; }

        public bool IsLoginMessageCode { get; set; }

        /// <summary>
        /// 应用范围
        /// </summary>
        public string AppScope { get; set; }

        /// <summary>
        /// 呼叫中心类型
        /// </summary>
        public string CallCenterType { get; set; }
    }
}
